Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
GETBackup Service OperationsSince 3.5.0SynchronousAuth Required

QuerySchedulerJobHistory

QuerySchedulerJobHistory

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • idlongRequired

      资源ID。

    • triggerUuidStringRequired

      The UUID of the trigger.

    • schedulerJobUuidStringRequired

      The UUID of the job.

    • schedulerJobGroupUuidStringRequired

      The UUID of the job group.

    • startTimeTimestampRequired

      The time when the job was started.

    • executeTimelongRequired

      The duration of the job execution.

    • targetResourceUuidStringRequired

      The UUID of the job execution history.

    • requestDumpStringRequired

      The job execution request.

    • resultDumpStringRequired

      The job execution result.

    • successbooleanRequired

      操作是否成功。

Endpoint

GET/zstack/v1/scheduler/job/history

/zstack/v1/scheduler/job/history

Operation ID

QuerySchedulerJobHistory

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/scheduler/job/history' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "triggerUuid": "add8c5eea85f41999baff295e47567bc", "schedulerJobUuid": "d7696913343040d8b98de04d59727711", "startTime": "Nov 14, 2017 10:20:57 PM", "executeTime": 900.0, "targetResourceUuid": "7cd923fa779044fd8510e8ee97aa579e", "requestDump": "{\"bsUuid\":\"716078c20a0047a69102174c6097a690\"}", "resultDump": "{\"apiId\":\"f8cf5b6281164e519c0575a73b1b0d9c\",\"success\":true,\"headers\":{},\"id\":\"d70a61ab1b20407c8df94ba7d90be081\",\"createdTime\":1557305707668}", "success": true } ] }

Change History

This API has no change history records yet.

View all change history